PDA

View Full Version : Slimserver 6.5 on Linkststation HD-H160LAN



BigBirdy
2006-10-06, 09:25
I have so far manage to install the revised FW on this linkstation, can
access through SSH, and have installed slimserver as per the
instructions ar http://fieldnetworks.com/slim/linkstation.html. But when
I try to run slimserver from the install directory of /mnt/slimserver..

./slimserver.pl --daemon --prefsfile /mnt/slim-data/slimserver.pref
--cachedir /mnt/slim-data

I get this

Can't locate auto/Compress/Zlib/autosplit.ix in @INC (@INC contains:
/mnt/slimserver/CPAN/arch/5.8/mipsel-linux-thread-multi
/mnt/slimserver/CPAN/arch/5.8/mipsel-linux-thread-multi/auto
/mnt/slimserver/CPAN/arch/5.8.7/mipsel-linux-gnu-thread-multi
/mnt/slimserver/CPAN/arch/5.8.7/mipsel-linux-gnu-thread-multi/auto
/mnt/slimserver/CPAN/arch/5.8/mipsel-linux-gnu-thread-multi
/mnt/slimserver/CPAN/arch/5.8/mipsel-linux-gnu-thread-multi/auto
/mnt/slimserver/CPAN/arch/mipsel-linux-gnu-thread-multi
/mnt/slimserver/lib /mnt/slimserver/CPAN /mnt/slimserver /mnt/slimserver
/etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7
/usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8
/usr/local/lib/site_perl .) at /usr/share/perl/5.8/AutoLoader.pm line
160.
at /mnt/slimserver/CPAN/Compress/Zlib.pm line 15
The following modules failed to load: DBD::mysql DBI XML::Parser::Expat
HTML::Parser Compress::Zlib Digest::SHA1 YAML::Syck

To download and compile them, please run:
/mnt/slimserver/Bin/build-perl-modules.pl DBD::mysql DBI
XML::Parser::Expat HTML::Parser Compress::Zlib Digest::SHA1 YAML::Syck

So, I try to run the command above to install the missing modules….but
it fails even at getting the file, presumably due to a dns failure?
Network is fine, dns is fine from all other devices? Are there some
special procedures for getting SS 6.5 to install on the LS?


/mnt/slimserver/Bin/build-perl-modules.pl DBD::mysql DBI
XML::Parser::Expat HTML::Parser Compress::Zlib Digest::SHA1 YAML::Syck
Welcome to the Slim Devices perl module installer.

These packages are needed for SlimServer to function.
You will need a C compiler (gcc), make, and perl installed.

You will need development libraries for MySQL. eg: libmysqlclient

You will need development libraries for expat. eg: libexpat1-dev

*** Ignore any warnings about AppConfig. ***

Please enter a perl binary to use (defaults to /usr/bin/perl)
This must be the same perl binary that you ran this program with -->
Please enter a directory to download files to --> /mnt/
Downloads will use /usr/bin/wget to fetch tarballs.

Downloading DBI-1.50.tar.gz to: /mnt
wget: svn.slimdevices.com: Host name lookup failure
Uncompressing..

gzip: stdin: unexpected end of file
Couldn't change to DBI-1.50 : No such file or directory at
/mnt/slimserver/Bin/build-perl-modules.pl line 222, <STDIN> line 2.



---------------------------------------------
Johnny Stork